Subject: RE: [TI994A] Re: A couple of quick questions....

From: Owen Brand <[email-masked]>
Date: Thu, 18 Jul 2013 22:19:14 -0600

Does Ebay not have the parts you are looking for?  Often times you'll find a seller selling a few of the components you're looking for...  You can contact that seller directly with a "want list" and sometimes he may have a warehouse full of electronics and such...  

Of course that's a bit of wishing, but sometimes you'll find what you're looking for....  

Other times you'll just waste your time.  :)

Owen Brand
Opry99er

Ksarul <[email-masked]> wrote:

>Unicorn Electronics.  Note their Minimum order is $25+shipping.
>
>Jameco
>
>Digikey
>
>Mouser Electronics
>
>Arrow Electronics
>
> 
>
>Minimum orders are about the same for all of them. . .
>
> 
>
>Jim
>
> 
>
>From: [email-masked] [mailto:[email-masked]] On Behalf Of
>kevan064
>Sent: Thursday, July 18, 2013 9:49 PM
>To: [email-masked]
>Subject: [TI994A] Re: A couple of quick questions....
>
> 
>
>  
>
>I detest, Rip Shock, but I went in there today on your suggestion anyway...
>I left without anything. $5.00 per switch X 3 and $1.99 per capacitor? I'd
>like to be able to tell you what I think of their prices, but Yahoo has a
>community standards policy, and I do not want to get into trouble. Nuff said
>on that! 
>
>Sooooo, if anyone has a suggestion for an online place to buy nice looking
>switches, I'll check it out. Even paying a moderate shipping fee is better
>than rewarding the place I just came from. 
>
>--- In [email-masked] <mailto:TI994A%40yahoogroups.com> , Marc Hull
><marc.hull@...> wrote:
>>
>> Radio shack has buttons that fit the bill.
>
>
>